Subject: Re: [MOBILE-IP] I-D ACTION:draft-ietf-mobileip-reg-tunnel-01.txt

From: Tom Weckström <[email-masked]>
Date: Sun, 19 Sep 1999 22:58:02 +0300

Hello, Pete

Sorry for the delay in answering.

On 1999-08-27 Pete McCann wrote:

> TW> Eliminating the latency of FA-HA roundtrip is just one of the advantages
> TW> of the hierarchical model. I do not know the "Previous FA functionality"
> TW> very well, but I assume it doesn't provide the other advantages that the
> TW> hierarchical model has.
>
> TW> The reduction of signaling traffic is a very important advantage of the
> TW> hierarchical model.
> TW> Imagine, thousands of Mobile Nodes roaming in a congress center or at an
> TW> airport, for example. It would be too much asked to order people turn
> TW> their MNs off while they rush for presentations or their flights. This
> TW> kind of mobility would create quite a lot of signaling traffic. This
> TW> traffic would unnecessarily load both the agents of the MIP system and the
> TW> Internet in general, if non-hierarchical model was used.
>
> My original point still holds - I named two advantages to the regional
> schemes, and you haven't brought up any new ones.  One is eliminating
> latency of a handoff (the time between handoff and traffic reception),
> and the other is reduction in signaling messages across the global
> Internet and at the HA.  I claimed above that the Previous FA
> extension can be used to provide the first feature.  Now let's talk
> about the second.
>
> TW> One can always argue that all the services foreign and home agents
> TW> can be clustered or otherwise load balanced, but shouldn't we look for a
> TW> model where such tricks are no longer needed? Furthermore, this approach
> TW> would not save us from loading the Internet core with MIP signaling.
>
> I agree (partially) - I wasn't advocating that we increase the
> capacity of the HAs to deal with increased traffic.  Let me point out,
> though, that FAs are faced with all the signaling traffic even in the
> regional schemes.

FAs face the same signaling burden, but in a hierarchical model, where
the signaling messages travel a minimal distance, the load is
automatically shared to the FAs of the hierarchy. This is done because
of the protocol functionality, so no additional load balancing needed
neither in the FAs nor in the HA. By "minimal distance" I mean that the
the registration request for example, would only have to travel to the
FA that is a part of the path from HA to old_FA and also a part of the
path from the HA to the new_FA.

> mccap>   Maybe what is needed is not a hierarchical tunneling
> mccap> approach but rather a way to regulate the rate at which location
> mccap> updates are forwarded to the HA.

Yes. Such a mechanism with an effectively used previous FA extension
might replace the need for the hierarchical model. Yet again, it would
burden the single FA in the Foreign Network. And that FA could then
become the bottleneck...

> Sure, these schemes are one way to reduce traffic, but there may be
> others.  For instance, what if we added a flag to a registration
> request that said, "don't propagate this request to the HA just yet".
> These kinds of registrations would contain only the Previous FA
> extension.  Then the MN could selectively (according to some
> predefined rate) send registrations to the HA or the previous FA as
> needed and according to whatever load the HA could handle.  This seems
> like a much simpler approach than the hierarchical tunnels and also
> eliminates the centralized GFA that must de-tunnel/re-tunnel all
> traffic passing through it.

First, what would happen if the MN changed its FA fast. Let's say 10
times a second? Could the solution based on previous FA extension cope
with that? I mean, should the MN then also use the
"one-before-the-previous-FA" extension? ;)

Second, could you specify how the proposal above is simpler than the
hierarchical model? I know there are lots of open questions in the
hierarchical one, but I am quite convinced they can be solved. Is the
hierarchical solution any more complex than the one where we keep adding
extensions for different special operations in the trad. RFC 2002 MIP? I
doubt that.

Third, I recall that there was a method for using multiple GFAs in the
draft-ietf-mobileip-reg-tunnel-01.txt. So, the problem of one
centralized GFA can be solved.

Best regards,
                Tom

--
        Tom Weckström           Dynamics group
                                Helsinki University of Technology
                                [email-masked]
                                http://www.cs.hut.fi/Research/Dynamics/

---

From: Foo Siang Fook <[email-masked]>
Date: Mon, 20 Sep 1999 14:14:12 +0800

Hi all,

        Due to the overwhelming requests from people in this mailing lists
for the performance results, i will try to put some of the results in the
NUS MobileIP web site as soon as possible instead of replying to
individual request. Thanks.

regards,
S.F.Foo